ldtp (3.5.0-2.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:13:44 +0800

ldtp (3.5.0-2.lnd.1) unstable; urgency=medium

  * Modify debian/rules

 -- Wang Ming <wangming@loongson.cn>  Thu, 15 Oct 2020 13:41:12 +0800

ldtp (3.5.0-2) unstable; urgency=medium

  * debian/control:
    + Removed Depends on python-gnome2 and python-gobject-2. Use python-gi
      instead (Closes: #917883)

 -- Kartik Mistry <kartik@debian.org>  Mon, 31 Dec 2018 17:41:12 +0530

ldtp (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Depends on python-gobject2 (Closes: #890154).
    + Depends on python-gnome2.
    + Added dh-python to Build-Depends.
    + Added Vcs-* URLs.
    + Updated to Standards-Version 4.2.1
    + Updated Homepage.
    + Removed x-python-version field.
  * Updated debian/copyright.
  * Bumped dh to 11.
  * debian/ldtp.examples:
    + Also install examples from Example directory.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 07 Dec 2018 22:49:20 +0530

ldtp (2.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python-pyatspi instead of obsolete transitional package
    (Closes: #881351)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Nov 2017 09:19:11 -0500

ldtp (2.3.1-1) unstable; urgency=low

  * New upstream release:
    + ldtp-doc is now generated by ldtp source package.
  * debian/control:
    + Added ldtp-doc binary.
    + Updated to Standards-Version 3.9.3
    + Updated short and long descriptions.
  * debian/rules, debian/*.install, debian/*.docs:
    + Fixed for ldtp-doc changes.
  * debian/copyright:
    + Updated for copyright-format 1.0

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Feb 2012 15:46:26 +0530

ldtp (2.2.0-2) unstable; urgency=low

  * Sync from Ubuntu.
  * debian/control:
    + Depend on python-pyatspi2 instead of python-pyatspi.
    + Update dependencies to refer to gir1.2 packages.
  * debian/patches/fix-twisted.patch:
    + Fix 'import ldtp' with latest twisted. Patch from Upstream+Ubuntu.
  * debian/copyright:
    + Updated as per latest DEP-5 format.
    + Fixed duplicated License paragraph.

 -- Kartik Mistry <kartik@debian.org>  Tue, 10 Jan 2012 21:44:40 +0530

ldtp (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Migrated package to dh_python2.
  * debian/control:
    + Updated to Standards-Version 3.9.2 (no changes needed).
  * debian/copyright:
    + Updated as per latest DEP-5 format.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Sep 2011 21:50:11 +0530

ldtp (2.1.1-2) unstable; urgency=low

  * Uploaded to unstable

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Mar 2011 13:34:24 +0530

ldtp (2.1.1-1) experimental; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Mar 2011 00:48:32 +0530

ldtp (2.1.0-1) experimental; urgency=low

  * New upstream release (Closes: #608870)
  * debian/control:
    + Updated to Standards-Version 3.9.1 (no changes needed)
  * debian/copyright:
    + Updated as per DEP-5 format
    + Updated copyright year for upstream and debian packaging

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Jan 2011 18:28:47 +0530

ldtp (2.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/pyversions:
    + Set to 2.5-

 -- Kartik Mistry <kartik@debian.org>  Thu, 15 Apr 2010 10:48:52 +0530

ldtp (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 07 Apr 2010 00:38:47 +0530

ldtp (2.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Installed examples provided from upstream

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Mar 2010 23:25:05 +0530

ldtp (2.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Updated for LDTPv2 authors and copyright
  * debian/ldtp.1
    + Updated manpages for LDTPv2 changes
    + Updated my email address

 -- Kartik Mistry <kartik@debian.org>  Thu, 11 Feb 2010 22:58:44 +0530

ldtp (2.0.2-1) unstable; urgency=low

  * New upstream release:
    + Packaging is based on Ubuntu packages, Thanks Ubuntu!
    + LDTPv2 is a complete rewrite of LDTPv1 in Python
    + LTFX is completely removed in LDTP v2 in favor of wnck
  * debian/control:
    + Updated to Standards-Version 3.8.4 (no changes needed)
    + Fixed typo in description python->Python
    + ldtp is now arch: all package
  * debian/rules:
    + Using dh to make it simple
  * Removed unused manpages
  * Updated package to use new source format 3.0 (quilt)

 -- Kartik Mistry <kartik@debian.org>  Thu, 04 Feb 2010 10:36:08 +0530

ldtp (1.7.1-3) unstable; urgency=low

  * debian/control:
    + Depends on python-gtksourceview2 instead of python-gtksourceview,
      Thanks to Emilio Pozuelo Monfort <pochu@debian.org> (Closes: #544491)

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Sep 2009 09:47:25 +0530

ldtp (1.7.1-2) unstable; urgency=low

  * debian/patches/01_ldtpeditor_use_pygtksourceview2.dpatch:
    + Added patch to fix deprecated gtksourceview 1 usage in python/ldtpeditor
      Migrated to gtksourceview2. Patch by Emilio Pozuelo Monfort
      <pochu27@gmail.com> (Closes: #541966)
  * debian/control:
    + Updated to Standards-Version 3.8.3
  * Added debian/README.source file

 -- Kartik Mistry <kartik@debian.org>  Mon, 24 Aug 2009 10:46:07 +0530

ldtp (1.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Removed deprecated dependency on python-gnome2-desktop
      (Closes: #541435)
    + Updated to Standards-Version 3.8.2 (no changes needed)
    + Updated debhelper dependency to 7
  * debian/rules:
    + Used dh_prep instead of dh_clean -k

 -- Kartik Mistry <kartik@debian.org>  Fri, 14 Aug 2009 16:01:32 +0530

ldtp (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #528372)
  * debian/control:
    + Updated Standards-Version to 3.8.1 (no changes needed)
    + Removed 'Replaces' field, no longer needed

 -- Kartik Mistry <kartik@debian.org>  Thu, 14 May 2009 16:35:13 +0530

ldtp (1.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed Circular Dependency Hell. Thanks to Ara and Nags for quick
      update in upstream (Closes: #519127)
    + Depends on Python 2.5 or above to use wnck module
    + Added Ara Pulido <ara@ubuntu.com> as co-maintaner
    + Conflicts/Replaces with earlier versions to avoid upgrade problems
  * debian/ldtp.install, debian/python-ldtp.install:
    + ldtp package now only contains ldtp binary, rest are moved to python-ldtp
  * debian/rules:
    + Fixed installation for manpages
  * debian/menu:
    + Fixed menu package name for ldtpeditor

 -- Kartik Mistry <kartik@debian.org>  Wed, 11 Mar 2009 19:35:11 +0530

ldtp (1.5.0-2) unstable; urgency=low

  * debian/control:
    + ldtp now depends on python-ldtp package,
      Thanks to Ben Pfaff <blp@cs.stanford.edu> (Closes: #518902)
  * debian/watch:
    + Updated! Latest LDTP source will stay on ldtp-latest folder

 -- Kartik Mistry <kartik@debian.org>  Mon, 09 Mar 2009 12:24:05 +0530

ldtp (1.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #516086)
  * debian/control:
    + Added dependency of python-gtk2, Thanks to Ara Pulido <ara@ubuntu.com>
  * debian/copyright:
    + Updated copyright year
    + Updated for use of copyright symbol instead of (C)

 -- Kartik Mistry <kartik@debian.org>  Thu, 19 Feb 2009 22:37:22 +0530

ldtp (1.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Some scripts are no longer needed to make executable
  * debian/watch:
    + Fixed for upstream location change, notified to upstream
  * debian/*.1:
    + Fixed typo in my email address

 -- Kartik Mistry <kartik@debian.org>  Thu, 04 Dec 2008 16:44:34 +0530

ldtp (1.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated my maintainer email address
  * debian/copyright:
    + Updated my email address
    + Updated AUTHORS list
  * debian/watch:
    + Updated for new upstream release

 -- Kartik Mistry <kartik@debian.org>  Mon, 01 Sep 2008 13:33:27 +0530

ldtp (1.2.0-1) unstable; urgency=low

  * New upstream release:
    + Fix important disconnection issue with python scripts,
      See Ubuntu Bug 246208
  * debian/control:
    + Dropped useless dependency on libgail-dev, Thanks to Ubuntu
  * debian/watch:
    + Updated for new upstream version

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 08 Jul 2008 22:18:57 +0530

ldtp (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
    + Updated according to upstream location change
  * debian/copyright:
    + Updated copyright owner
    + Added and updated authors email addresses
  * Updated man pages for author email address change
  * debian/ldtpeditor.1:
    + Added new man page for new binary ldtpeditor
  * debian/ldtprecord.1:
    + Removed as upstream has removed binary from package
  * debian/ldtp.install:
    + Added glade and icons file for installation
  * debian/control:
    + Updated Standards-Version to 3.8.0
    + Added Depends on python-pyatspi
    + Fixed short description of python-ldtp binary
  * debian/menu:
    + Added menu file for ldtpeditor program
  * debian/python-ldtp.docs:
    + Added python/README
  * debian/rules:
    + Provided upstream changelog for python-ldtp package
    + Added dh_installmenu to install menu
    + We are not installing 'still in development' ldtp2 binary as
      discussed with upstream
    + Fixed config.sub/config.guess presence in .diff.gz, Thanks to
      Vincent Bernat <bernat@debian.org>
    + Removed CFLAGS settings as it is handle by dpkg-buildpackage now,
      Thanks to Vincent Bernat <bernat@debian.org> for suggestion

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 23 Jun 2008 03:53:17 +0530

ldtp (0.9.2-4) unstable; urgency=medium

  * debian/python-ldtp.install:
    + Fixed FTBFS with Python version 2.5 (Closes: #477009)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 20 Apr 2008 21:54:14 +0530

ldtp (0.9.2-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.3
    + Updated Homepage entry
    + Added Section: python for python-ldtp package
    + fixed spelling of Python
  * debian/copyright:
    + Updated copyright text
    + Updated package copyright year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 15 Feb 2008 21:55:58 +0530

ldtp (0.9.2-2) unstable; urgency=low

  * debian/python-ldtp.install: added missing ldtplib/*.py, Thanks to Fernando
    Ribeiro <fernando.ribeiro@gmail.com> for help
  * debian/watch: updated according to latest upstream url
  * debian/rules: fixed permission of files from newly added ldtplib/*.py

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 10 Oct 2007 10:26:38 +0530

ldtp (0.9.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_alpha-ftbfs-fix.dpatch merged with upstream, dropped it
  * debian/control: dropped dpatch support
  * Added manpage: debian/ldtpcodegen.1
  * debian/copyright: moved copyright out of license section, added package
    copyright, added missing copyright holders, libcap is no longer used, so
    removed it
  * debian/rules: fixed way to install manpages, dropped dpatch support,
    ldtpcodegen/ldtp does not need to change permission since it is binary now

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu,  6 Sep 2007 18:18:56 +0530

ldtp (0.8.0-5) unstable; urgency=low

  * Improved man pages: ldtp.1, ldtprunner.1, ldtprecord.1, Thanks to Mohammed
    Adnène Trojette <adn+deb@diwi.org> for tips and patch
  * debian/rules: minor cleanups and better clean target

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 29 Jul 2007 22:00:41 +0530

ldtp (0.8.0-4) unstable; urgency=low

  * debian/control: fixed lintian substvar-source-version-is-deprecated
    warning, added homepage entries to long descriptions
  * debian/rules: minor cleanups
  * debian/watch: fixed now

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 22 Jun 2007 15:31:42 +0530

ldtp (0.8.0-3) unstable; urgency=low

  * debian/rules: added missing build-stamp creation
  * Added debian/watch file
  * debian/control: added python-imaging and python-statgrab as Recommends,
    Removed ${misc:Depends} for arch:all binary python-ldtp
  * debian/copyright: updated accordingly standard copyright file

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 25 Apr 2007 12:31:40 +0530

ldtp (0.8.0-2) unstable; urgency=low

  * Added dpatch support
  * Added patch for FTFBS for alpha (Closes: #411794)
  * Fixed typos in ldtprunner.1 and ldtprecord.1 man pages

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat,  3 Mar 2007 16:27:35 +0530

ldtp (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 18 Feb 2007 9:37:02 +0530

ldtp (0.7.0-2) unstable; urgency=low

  * Fix FTBFS by moving python-support to build-depends (Closes:#410400)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 16 Feb 2007 15:23:19 +0530

ldtp (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #317155, #355370)
  * Added manpages ldtp.1, ldtprecord.1, ldtprunner.1

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 12 Jan 2007 13:20:33 +0530
